package com.fq.channel.sdk;

/**
 * @Description: 应用宝支付通知接口的请求body
 * @Author: FLuty
 * @CreateDate: 2020/4/23 10:08
 */
public class ReqYsdkPayBody {
    private String openId;
    private String accessToken;
    private String payToken;
    private String pf;
    private String pfKey;
    private String zoneId;
    private String fqBillNo;
    private String thirdAmt;
    private String appId;
    private String platform;
    private String channelType;

    public ReqYsdkPayBody(String openId, String accessToken, String payToken, String pf, String pfKey, String zoneId, String fqBillNo, String thirdAmt, String appId, String platform, String channelType) {
        this.openId = openId;
        this.accessToken = accessToken;
        this.payToken = payToken;
        this.pf = pf;
        this.pfKey = pfKey;
        this.zoneId = zoneId;
        this.fqBillNo = fqBillNo;
        this.thirdAmt = thirdAmt;
        this.appId = appId;
        this.platform = platform;
        this.channelType = channelType;
    }

    public String getChannelType() {
        return channelType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getPayToken() {
        return payToken;
    }

    public void setPayToken(String payToken) {
        this.payToken = payToken;
    }

    public String getPf() {
        return pf;
    }

    public void setPf(String pf) {
        this.pf = pf;
    }

    public String getPfKey() {
        return pfKey;
    }

    public void setPfKey(String pfKey) {
        this.pfKey = pfKey;
    }

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public String getFqBillNo() {
        return fqBillNo;
    }

    public void setFqBillNo(String fqBillNo) {
        this.fqBillNo = fqBillNo;
    }

    public String getThirdAmt() {
        return thirdAmt;
    }

    public void setThirdAmt(String thirdAmt) {
        this.thirdAmt = thirdAmt;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
